@font-face {
  font-family: "Noto Sans JP";
  src: url("/public/fonts/noto-sans-jp-v55-japanese-400.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Noto Sans JP";
  src: url("/public/fonts/noto-sans-jp-v55-japanese-500.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Noto Sans JP";
  src: url("/public/fonts/noto-sans-jp-v55-japanese-600.woff2") format("woff2");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Noto Sans JP";
  src: url("/public/fonts/noto-sans-jp-v55-japanese-700.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Noto Sans JP";
  src: url("/public/fonts/noto-sans-jp-v55-japanese-800.woff2") format("woff2");
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

:root {
  --font-family-noto-sans-jp: "Noto Sans JP", Arial, sans-serif;
}

head, body {
  font-family: var(--font-family-noto-sans-jp, "Noto Sans JP", Arial, sans-serif);
}

body {
  padding-top: env(safe-area-inset-top);
  padding-right: env(safe-area-inset-right);
  padding-bottom: env(safe-area-inset-bottom);
  padding-left: env(safe-area-inset-left);
}

html, body {
  font-size: 16px;
}

html, body, * {
  -webkit-text-size-adjust: none !important;
  text-size-adjust: none !important;
}